package com.xunhong.erp.turbo.api.rbac.api;


import com.xunhong.erp.turbo.api.rbac.dto.cmd.RoleCreateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.cmd.RoleDestroyCmd;
import com.xunhong.erp.turbo.api.rbac.dto.cmd.RoleUpdateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.qry.RoleListQry;
import com.xunhong.erp.turbo.api.rbac.dto.qry.RolePageQry;
import com.xunhong.erp.turbo.api.rbac.dto.qry.RoleShowQry;
import com.xunhong.erp.turbo.api.rbac.dto.vo.RoleVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

public interface RoleServiceI {
	List<RoleVO> listRole(RoleListQry roleListQry);

	RoleVO createRole(RoleCreateCmd roleCreateCmd);

	RoleVO showRole(RoleShowQry roleShowQry);

	RoleVO updateRole(RoleUpdateCmd roleUpdateCmd);

	void destroyRole(RoleDestroyCmd roleDeleteCmd);

	PageDTO<RoleVO> pageRole(RolePageQry rolePageQry);
}
